### Method

# Secret Service store

#### Declaration [src]

    void
    secret_service_store (
      SecretService* service,
      const SecretSchema* schema,
      GHashTable* attributes,
      const gchar* collection,
      const gchar* label,
      SecretValue* value,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Store a secret value in the secret service.

The `attributes` should be a set of key and value string pairs.

If the attributes match a secret item already stored in the collection, then the item will be updated with these new values.

If `service` is `NULL`, then `secret_service_get()` will be called to get the default `SecretService` proxy.

If `collection` is not specified, then the default collection will be used. Use `SECRET_COLLECTION_SESSION` to store the password in the session collection, which doesn’t get stored across login sessions.

This method will return immediately and complete asynchronously.

#### Parameters

`schema` | `SecretSchema`
| The schema to use to check attributes.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`attributes` | `GHashTable`
| The attribute keys and values.
| The data is owned by the caller of the function.
`collection` | `const gchar*`
| A collection alias, or D-Bus object path of the collection where to store the secret.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`label` | `const gchar*`
| Label for the secret.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`value` | `SecretValue`
| The secret value.
| The data is owned by the caller of the function.
`cancellable` | `GCancellable`
| Optional cancellation object.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| Called when the operation completes.
| The argument can be `NULL`.
`user_data` | `gpointer`
| Data to be passed to the callback.
| The argument can be `NULL`.
| The data is owned by the caller of the function.